import request from '@/utils/request'

// 查询cmc借款明细列表
export function listBorrowDetail(query) {
  return request({
    url: '/oa/borrowDetail/list',
    method: 'get',
    params: query
  })
}

// 查询cmc借款明细详细
export function getBorrowDetail(borrowId) {
  return request({
    url: '/oa/borrowDetail/' + borrowId,
    method: 'get'
  })
}

// 新增cmc借款明细
export function addBorrowDetail(data) {
  return request({
    url: '/oa/borrowDetail',
    method: 'post',
    data: data
  })
}

// 修改cmc借款明细
export function updateBorrowDetail(data) {
  return request({
    url: '/oa/borrowDetail',
    method: 'put',
    data: data
  })
}

// 删除cmc借款明细
export function delBorrowDetail(borrowId) {
  return request({
    url: '/oa/borrowDetail/' + borrowId,
    method: 'delete'
  })
}
